Results 1 to 5 of 5

Thread: Oracle 11g R2 on openSuse 11.2

  1. #1

    Default Oracle 11g R2 on openSuse 11.2

    Hi there!
    Could somebody install Oracle 11g R2 on openSuse 11.2?
    What instructions did you follow?
    Did you use orarun package from Novell?

    Thank you in advance.
    [Adrián E. Córdoba]

  2. #2
    Join Date
    Jul 2008
    Location
    Antwerp, Belgium
    Posts
    42

    Default Re: Oracle 11g R2 on openSuse 11.2

    Install openSUSE with the c/C++ development pattern. Then install the orarun package from novell (http://ftp.novell.com/partners/oracl...-11/orarun.rpm).

    This will create a system user oracle. Enable this user in yast by setting its profile to /bin/bash/ and change his password.

    Then modify /etc/profile.d/oracle.sh to your liking (ORACLE_HOME etc).

    Run rcoracle start to set kernel parameters.

    Log in as user oracle and run runInstaller.
    Create a database with dbca and a listener with netca.

    After you created a database, change /etc/sysconfig/oracle to start the database and listener on startup.

    In /etc/oratab set the database to start on boot.

    Create a symlink for /etc/oratab in /var/opt/oracle
    ( ln -s /etc/oratab/ /var/opt/oracle/oratab)

    reboot and your database should be running.
    http://www.philipraets.be
    Hardware: Dell Mini 9, Dell Vostro 1510, Sony Vaio FZ21M, SelfMade PC
    Software: openSUSE, Xen, openLDAP, Samba, Nagios, Apache, MySQL, Oracle, Still no mailserver

  3. #3

    Default Re: Oracle 11g R2 on openSuse 11.2

    Thank you very much for the details!
    [Adrián E. Córdoba]

  4. #4

    Default Re: Oracle 11g R2 on openSuse 11.2

    Hi,

    I tried to install oracle-11g on openSuse-11.2, however the installer complains about missing pakages:
    Package "compat-libstdc++-33-3.2.3" is missing
    Package "elfutils-libelf-0.97" is missing
    Package "elfutils-libelf-devel-0.97" is missing
    Package "glibc-common-2.3.4" is missing
    Package "glibc-headers-2.3.4" is missing
    Package "libgcc-3.4.6" is missing
    Package "libstdc++-3.4.6" is missing
    Package "pdksh-5.2.14" is missing
    Package "unixODBC-2.2.11" is missing
    Package "unixODBC-devel-2.2.11" is missing

    I began to search for 'compat-libstdc++-33-3.2.3' but could not find this for openSuSE-11.2.

    openSuSE-11.2 has C/C++ Devel installed.

    What am I missing?
    Any hint is very much appereciated.
    Wolf

  5. #5
    Join Date
    Jul 2008
    Location
    Antwerp, Belgium
    Posts
    42

    Default Re: Oracle 11g R2 on openSuse 11.2

    Are you trying to run 32 bit oracle on a 64-bit opensuse?

    Then you would have to install the *_32bit packages as well.

    "compat-libstdc++-33-3.2.3" => libstdc++33*
    "elfutils-libelf-0.97" => libelf*
    "elfutils-libelf-devel-0.97" => libelf*
    "glibc-common-2.3.4" => glibc*
    "glibc-headers-2.3.4" => glibc*
    "libgcc-3.4.6" => libgcc*
    "libstdc++-3.4.6" => libstdc++*
    "pdksh-5.2.14" => pdksh*
    "unixODBC-2.2.11" => unixODBC*
    "unixODBC-devel-2.2.11" => unixODBC*

    (these must be the devel packages)

    I think the installation of the C/C++-devel pattern didn't go so well. I never had to install any of these packages after that. The only package that oracle complains is openmotif (which isn't required, but it's usefull).
    http://www.philipraets.be
    Hardware: Dell Mini 9, Dell Vostro 1510, Sony Vaio FZ21M, SelfMade PC
    Software: openSUSE, Xen, openLDAP, Samba, Nagios, Apache, MySQL, Oracle, Still no mailserver

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •